%Program rad_sing_cple.m
%Author: J. Pujol
%P and S Radiation patterns for the single 31 (MATLAB)

clf reset 

n=30
ish=0
			for k=1:2
			ish=ish+1
th=pi*(0:1:n)/n;
phi=pi*(0:2:2*n)'/n;

if ish==1 
r=.5*abs(cos(phi)*sin(2*th));
elseif ish==2
r=abs((-cos(phi)*sin(th).^2));
else
break
end

x=abs(r).*(cos(phi)*sin(th));
y=abs(r).*(sin(phi)*sin(th));
z=abs(r).*(ones(size(phi))*cos(th));

subplot(2,2,ish)

view([135 15])

xlabel('x1')
ylabel('x2')
zlabel('x3')
axis ([-1 1 -1 1 -1 1])
axis('off')
hold on

if ish==1
%text('Position',[-2.5 0 -3.],'String','Fig. 9-12')
text('Position',[-2.5 0 -3.],'String','Output of rad\_sing\_cple.m')
%text('Position',[0.15 0 -1.7],'String','(c)')
text('Position',[1.75 0 1.4],'String','\it P')
end
if ish==2
%text('Position',[0.15 0 -1.7],'String','(d)')
text('Position',[1.75 0 1.4],'String','\it SV')
end  

text('Position',[0.058 0 1.49],'String','x_3')
text('Position',[1.75 0 -.077],'String','x_1')
text('Position',[0 1.6 -.1],'String','x_2')
x1(1)=0;
x1(2)=0;
y1(1)=-1.5;
y1(2)=1.5;
z1(1)=0;
z1(2)=0;
plot3(x1,y1,z1,'-')	%,'color','red')

x1(1)=-1.5;
x1(2)=1.5;
y1(1)=0;
y1(2)=0;
z1(1)=0;
z1(2)=0;
plot3(x1,y1,z1,'-')
%line([-1 0 0],[1 0 0],'color','red')

x1(1)=0;
x1(2)=0;
y1(1)=0;
y1(2)=0;
z1(1)=-1.5;
z1(2)=1.5;
plot3(x1,y1,z1,'-')

surf(x,y,z);
hold off


end

