C Given the parameters of one of the conjugate planes, determine the parameters of
C the other conjugate planes. See section 10.8.
C Author: J. Pujol
C...........................................................................
	subroutine nodplane(STRIKE,DDIP,SSSLIP,STR2,DIP2,SLIP2)
C Input: The strike, dip and slip of one of the planes (first three arguments)
C Output: The strike, dip and slip of the conjugate plane
	PI=4*ATAN(1.)
	RAD=PI/180
	PI2=PI/2
	TWOPI=PI*2
	STR=RAD*STRIKE
	DIP=RAD*DDIP
	SLIP=RAD*SSSLIP
	SSTR=SIN(STR)
	CSTR=COS(STR)
	SDIP=SIN(DIP)
	CDIP=COS(DIP)
	SSLIP=SIN(SLIP)
	CSLIP=COS(SLIP)
	DIP2=ACOS(SSLIP*SDIP)		!(10.8.5) 

	SDIP2=SIN(DIP2)
	SDIFSTR=CSLIP/SDIP2		!(10.8.6)
	CDIFSTR=-(SSLIP*CDIP)/SDIP2	!(10.8.7)

	DIFSTR=ATAN2(SDIFSTR,CDIFSTR)
	STR2=STR-DIFSTR

1000	SSLIP2=CDIP/SDIP2		!(10.8.8)
	CSLIP2=-SDIP*SDIFSTR		!(10.8.9)
	SLIP2=ATAN2(SSLIP2,CSLIP2)

	IF(DIP2.GT.PI2)THEN
c	print*,' DIP2 ...',dip2/rad
	DIP2=PI-DIP2
	STR2=STR2+PI
	SLIP2=TWOPI-SLIP2
	END IF

	IF(STR2.GT.TWOPI)STR2=STR2-TWOPI
	IF(STR2.LT.0)STR2=STR2+TWOPI
	IF(SLIP2.GT.TWOPI)SLIP2=SLIP2-TWOPI
	str2=STR2/RAD	
	dip2=DIP2/RAD
	slip2=SLIP2/RAD
	RETURN
	END
