C Program rad-pnt-src.f 
C Author: J. Pujol	
C Plot of cos(theta) and sin(theta). For the equations see Problem 9.17.

	dimension x(500),y(500),x2(500),y2(500),x3(500),y3(500)
	character*15 char
        call dashdc('$''''''$',2,5)
        CALL OPNGKS        
	CALL PCSETI('CD',1)    !DUPLEX CHARACTER SET
	CALL SETUSV('LW',1000)
c        CALL PLCHHQ(.5,.5,'Fig. 9-5',10.,0.,0.)
	CALL PLCHHQ(.5,.965,'Output of rad-pnt-src.f',10.,0,0.) 

	LINEWIDTH=2000
	CALL SETUSV('LW',LINEWIDTH)

	pi=4*atan(1.)
	rad=pi/180

	np=181
	do i=1,np
	th=91-i
        r=cos(rad*th)      !For plot of cos(theta)
	x(i)=r*sin(rad*th)
	y(i)=r*cos(rad*th)
	x2(i)=-x(i)
	y2(i)=-y(i)
	end do
	ith=0
	do i=71,91
	ith=ith+1
	x3(ith)=.55*x(i)
	y3(ith)=.55*y(i)
	end do
	thth=70
	xth=x(thth)
	yth=y(thth)
	dyc=.1

	ddd=.015
c        CALL PLCHHQ(.225,.535,'(a)',10.,0.,0.)
c        CALL PLCHHQ(.775,.535,'(b)',10.,0.,0.)
c        CALL PLCHHQ(.5,.51,'Fig. S-3',10.,0.,0.)
	WL=.05
	WR=.4
	WB=.55
	WT=.9

	dx=.15
	dy=.15
	dx2=.3
	dy2=.3
	YB=-1-DY2
	YT=1+DY2
	xl=-1-DX2
	xr=1+DX2

	LINEWIDTH=2000
	CALL SETUSV('LW',LINEWIDTH)

	char='r = |cos'//':610:|'
10	LINEWIDTH=2000
	CALL SETUSV('LW',LINEWIDTH)
	ISYMBSIZ=100
	CALL SETUSV('MS',ISYMBSIZ)

	CALL SET(WL,WR,WB,WT,XL,XR,YB,YT,1)  

	CALL LINE(XL+DX,0.,XR-DX,0.)
	CALL LINE(0,YB+DY,0,YT-DY)
	CALL PLCHHQ(0,YT-DY,':1213:',20.,0.,0.)	!up arrow
        CALL PLCHHQ(0,YT-DY+.085,':PRU:x:B:3',10.,0.,0.)
	CALL PLCHHQ(XR-DX,0,':1213:',20.,270.,0.)
        CALL PLCHHQ(XR-DX+.1,0.,':PRU:x:B:1',10.,0.,0.)
	if(igo.eq.0)then
	else
	end if
	
	call line(0,0,xth,yth)
        call xyarr(0,0,xth,yth,.04,ang2,7.)
        CALL PLCHHQ(xth+.05,yth+.05,'Q',8.,0,0.)
	call lined(0,yth,xth,yth)
	call lined(xth,0,xth,yth)
        CALL PLCHHQ(xth+.03,-.06,':PRU:x:B:Q:',8.,0,0.)
        CALL PLCHHQ(-.09,yth,':PRU:y:B:Q:',8.,0,0.)

	CALL CURVE(x3,y3,ith)
        call xyarr(x3(2),y3(2),x3(1),y3(1),.04,ang,7.)
	CALL PCSETI('CD',0)
        CALL PLCHHQ(xth/2+.03,yth/2-dyc,char,7.,ang2,0.)
        CALL PLCHHQ(.5*(x3(1)+x3(ith)),.5*(y3(1)+y3(ith))-.1,
     1':610:',8.,0,0.)	!theta
	CALL PCSETI('CD',1)

	CALL CURVE(x,y,np)
	CALL CURVE(x2,y2,np)
	
	do i=1,np
	th=91-i
        r=sin(rad*th)       !For plot of sin(theta)
	x(i)=r*sin(rad*th)
	y(i)=r*cos(rad*th)
	x2(i)=-x(i)
	y2(i)=y(i)
	end do
	ith=0
	do i=40,90
	ith=ith+1
	x3(ith)=.35*sin(rad*(90.-i))
	y3(ith)=.35*cos(rad*(90.-i))
	end do
	thth=40
	xth=x(thth)
	yth=y(thth)
	dyc=.05
	IGO=IGO+1
	IF(IGO.EQ.2)GO TO 20

	WL=.6
	WR=.95
	char='r = |sin'//':610:|'
	GO TO 10

20	call frame
	call clsgks
	STOP
	END
c------------------------------------------------------------------------------
        subroutine xyarr(x1,y1,x2,y2,dr,ang,size)
	pi=4*atan(1.)
	rad=pi/180
        ang=atan2(y2-y1,x2-x1)/rad
        r=sqrt((y2-y1)**2+(x2-x1)**2)
        r2=r-dr
        xa=x1+r2*cos(rad*ang)
        ya=y1+r2*sin(rad*ang)
        CALL PLCHHQ(xa,ya,':0144:',size,ang,0.)  !arrow
        return
        end
